=== debian/changelog ===
python-escript (4.2.0.1-4) unstable; urgency=medium

  [ Joel Fenwick ]
  * [96dc875] Protect against g++-6 (Closes: #831149)

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Aug 2016 20:05:23 +0200

python-escript (4.2.0.1-3) unstable; urgency=medium

  [ Joel Fenwick ]
  * [462f3cc] Fix missing dep on python-numpy by python-escript-mpi
  * [295d646] Fix missing debug syms (and always build for sid options)
  * [73c3165] Allow extraction of tests from src tree
  * [ce27363] Fix py3clean issues, piuparts failure. (Closes: #826105, #826070)

  [ Anton Gladky ]
  * [2a88e77] Apply cme fix dpkg.
  * [e0c742a] Add VCS-fields.

 -- Anton Gladky <gladk@debian.org>  Tue, 21 Jun 2016 23:02:46 +0200

python-escript (4.2.0.1-2) unstable; urgency=medium

  [ Joel Fenwick ]
  * [35b8cd4] Remove dud file + shorten copyright file

  [ Anton Gladky ]
  * [9f90d8c] Add libnetcdf-dev to build-depends. (Closes: #825874)
  * [e75b88b] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Wed, 01 Jun 2016 21:21:46 +0200

python-escript (4.2.0.1-1) unstable; urgency=low
  * First debian release of escript. (Closes: 783157)
 -- Joel Fenwick <j.oelpublic@gmail.com>  Mon, 04 Apr 2016 10:49:00 +1000

Old Changelog:

python-escript (4.1-1) experimental; urgency=low
  * First debian release of escript. Upstream version 4.1.
  * closes: 783157
 -- Joel Fenwick <j.oelpublic@gmail.com>  Thu, 23 Apr 2015 17:28:21 +1000

python-escript (4.0) wheezy; urgency=low
  * Release 4.0
  * User guide has summary of changes
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Thu, 16 Dec 2014 09:34:00 +1000

python-escript (3.4.2) wheezy; urgency=low
  * Release 3.4.2
  * User guide has summary of changes
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Thu, 1 May 2014 12:00:00 +1000

python-escript (3.4.1) wheezy; urgency=low
  * Release 3.4.1
  * User guide has summary of changes
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Thu, 12 December 2013 13:15:00 +1000

python-escript (3.4) wheezy; urgency=low
  * Release 3.4
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 5 June 2013 08:47:00 +1000

escript (3.3.1-1) wheezy; urgency=low
  * Release 3.3.1
  * User guide has summary of changes
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Thu, 1 November 2012 16:00:00 +1000

escript (3.3-1) squeeze; urgency=low
  * Release 3.3
  * User guide has more details.
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:14:00 +1000

escript (3.1-1) lenny; urgency=low
  * Release 3.1.
  * Lazy being let out of its cage. Various other tweaks and features. See user guide for details.
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:13:00 +1000

escript (3.0-1) lenny; urgency=low
  * Release 3.0.
  * No pyvisi anymore.
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:12:00 +1000

escript(~3.0-1) lenny; urgency=low
  * Post release 2.0.
  * By JFenwick (revision 2456)
  * Switched from numarray to numpy. A number of post release bugs in the documentation
  * and examples files fixed.
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:11:00 +1000

escript (~2.0-1) lenny; urgency=low
  * Initial packaging attempt.
  * By JFenwick (revision 2288:2290M)
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:10:00 +1000
