## python-escript 5.0

=== SConstruct ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 # Version number to check for in options file. Increment when new features are
 # added or existing options changed.
-REQUIRED_OPTS_VERSION=202
+REQUIRED_OPTS_VERSION=203
 
 # MS Windows support, many thanks to PH
 IS_WINDOWS = (os.name == 'nt')
@@ -54,7 +54,7 @@
 
 default_prefix='/usr'
 mpi_flavours=('no', 'none', 'MPT', 'MPICH', 'MPICH2', 'OPENMPI', 'INTELMPI')
-lapack_flavours=('none', 'clapack', 'mkl')
+all_domains = ['dudley','finley','ripley','speckley']
 
 #Note that scons construction vars the the following purposes:
 #  CPPFLAGS -> to the preprocessor
@@ -74,8 +74,6 @@
   ('cc_optim', 'Additional (C and C++) flags for a non-debug build', 'default'),
   ('cc_debug', 'Additional (C and C++) flags for a debug build', 'default'),
   ('cxx_extra', 'Extra C++ compiler flags', ''),
-  ('cpp_flags', 'C Pre-processor flags', ''),
-  ('cpp_extra', 'Extra C Pre-processor flags', ''),
   ('ld_extra', 'Extra linker flags', ''),
   ('nvcc', 'Path to CUDA compiler', 'default'),
   ('nvccflags', 'Base CUDA compiler flags', 'default'),
@@ -111,17 +109,21 @@
   BoolVariable('boomeramg', 'Enable BoomerAMG', False),
   ('boomeramg_prefix', 'Prefix/Paths to BoomerAMG installation', default_prefix),
   ('boomeramg_libs', 'BoomerAMG libraries to link with', ['boomeramg']),
-  EnumVariable('lapack', 'Set LAPACK flavour', 'none', allowed_values=lapack_flavours),
+  TristateVariable('lapack', 'Enable LAPACK', 'auto'),
   ('lapack_prefix', 'Prefix/Paths to LAPACK installation', default_prefix),
   ('lapack_libs', 'LAPACK libraries to link with', []),
   BoolVariable('silo', 'Enable the Silo file format in weipa', False),
   ('silo_prefix', 'Prefix/Paths to Silo installation', default_prefix),
   ('silo_libs', 'Silo libraries to link with', ['siloh5', 'hdf5']),
+  BoolVariable('trilinos', 'Enable the Trilinos solvers', False),
+  ('trilinos_prefix', 'Prefix/Paths to Trilinos installation', default_prefix),
+  ('trilinos_libs', 'Trilinos libraries to link with', []),
   BoolVariable('visit', 'Enable the VisIt simulation interface', False),
   ('visit_prefix', 'Prefix/Paths to VisIt installation', default_prefix),
   ('visit_libs', 'VisIt libraries to link with', ['simV2']),
-  ListVariable('domains', 'Which domains to build', 'all',\
-               ['dudley','finley','ripley','speckley']),
+  ListVariable('domains', 'Which domains to build', 'all', all_domains),
+  BoolVariable('paso', 'Build Paso solver library', True),
+  BoolVariable('weipa', 'Build Weipa data export library', True),
 # Advanced settings
   ('launcher', 'Launcher command (e.g. mpirun)', 'default'),
   ('prelaunch', 'Command to execute before launcher (e.g. mpdboot)', 'default'),
@@ -133,14 +135,13 @@
   # An option for specifying the compiler tools
   ('tools_names', 'Compiler tools to use', ['default']),
   ('env_export', 'Environment variables to be passed to tools',[]),
-  EnumVariable('forcelazy', 'For testing use only - set the default value for autolazy', 'leave_alone', allowed_values=('leave_alone', 'on', 'off')),
-  EnumVariable('forcecollres', 'For testing use only - set the default value for force resolving collective ops', 'leave_alone', allowed_values=('leave_alone', 'on', 'off')),
-  ('build_shared', 'Build dynamic libraries only', False),
+  TristateVariable('forcelazy', 'For testing use only - set the default value for autolazy', 'auto'),
+  TristateVariable('forcecollres', 'For testing use only - set the default value for force resolving collective ops', 'auto'),
+  BoolVariable('build_shared', '(deprecated option, ignored)', True),
   ('sys_libs', 'Extra libraries to link with', []),
   ('escript_opts_version', 'Version of options file (do not specify on command line)'),
   ('SVN_VERSION', 'Do not use from options file', -2),
-  ('pythoncmd', 'which python to compile with','python'),
-  ('usepython3', 'Is this a python3 build?', False),
+  ('pythoncmd', 'which python to compile with', sys.executable),
   ('pythonlibname', 'Name of the python library to link. (This is found automatically for python2.X.)', ''),
   ('pythonlibpath', 'Path to the python library. (You should not need to set this unless your python has moved)',''),
   ('pythonincpath','Path to python include files. (You should not need to set this unless your python has moved',''),
@@ -151,8 +152,7 @@
   ('papi_prefix', 'Prefix/Paths to PAPI installation', default_prefix),
   ('papi_libs', 'PAPI libraries to link with', ['papi']),
   BoolVariable('papi_instrument_solver', 'Use PAPI to instrument each iteration of the solver', False),
-  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)',
-False)
+  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)', False)
 )
 
 ##################### Create environment and help text #######################
@@ -186,8 +186,8 @@
         print("Using options in %s." % options_file)
     else:
         print("\nOptions file %s" % options_file)
-        print("is outdated! Please update the file by examining one of the TEMPLATE")
-        print("files in the scons/ subdirectory and setting escript_opts_version to %d.\n"%REQUIRED_OPTS_VERSION)
+        print("is outdated! Please update the file after reading scons/templates/README_FIRST")
+        print("and setting escript_opts_version to %d.\n"%REQUIRED_OPTS_VERSION)
         Exit(1)
 
 # Generate help text (scons -h)
@@ -207,16 +207,18 @@
 if 'dudley' in env['domains']:
     env['domains'].append('finley')
 
+env['domains'] = sorted(set(env['domains']))
+
 # create dictionary which will be populated with info for buildvars file
-env['buildvars']={}
+env['buildvars'] = {}
 # create list which will be populated with warnings if there are any
-env['warnings']=[]
+env['warnings'] = []
 
 #################### Make sure install directories exist #####################
 
-env['BUILD_DIR']=Dir(env['build_dir']).abspath
-prefix=Dir(env['prefix']).abspath
-env['buildvars']['prefix']=prefix
+env['BUILD_DIR'] = Dir(env['build_dir']).abspath
+prefix = Dir(env['prefix']).abspath
+env['buildvars']['prefix'] = prefix
 env['incinstall'] = os.path.join(prefix, 'include')
 env['bininstall'] = os.path.join(prefix, 'bin')
 env['libinstall'] = os.path.join(prefix, 'lib')
@@ -233,15 +235,11 @@
 
 ################# Fill in compiler options if not set above ##################
 
-if env['cxx'] != 'default': env['CXX']=env['cxx']
-
-# version >=9 of intel C++ compiler requires use of icpc to link in C++
-# runtimes (icc does not)
-if not IS_WINDOWS and os.uname()[4]=='ia64' and env['CXX']=='icpc':
-    env['LINK'] = env['CXX']
+if env['cxx'] != 'default':
+    env['CXX'] = env['cxx']
 
 # default compiler/linker options
-cc_flags = ''
+cc_flags = '-std=c++11'
 cc_optim = ''
 cc_debug = ''
 omp_flags = ''
@@ -254,3 +252,5 @@
 
 if cc_name == 'icpc':
     # Intel compiler
+    # #1478: class "std::auto_ptr<...>" was declared deprecated
+    # #1875: offsetof applied to non-POD types is nonstandard (in boost)
