=== debian/changelog ===
python-escript (5.0-3) unstable; urgency=medium

  [ Paul Dreik ]
  * [b33279b] Fix FTBFS due to unused variables. (Closes: #860604)

 -- Anton Gladky <gladk@debian.org>  Wed, 19 Apr 2017 13:37:17 +0200

python-escript (5.0-2) unstable; urgency=medium

  [ Joel Fenwick ]
  * [a75d1b9] Fix moved openmpi lib problem (Closes: #848787)

  [ Anton Gladky ]
  * [b80952a] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Jan 2017 22:34:39 +0100

python-escript (5.0-1) unstable; urgency=medium

  * New version upload

 -- Joel Fenwick <j.oelpublic@gmail.com>  Mon, 19 Sep 2016 12:44:21 +1000
