## python-escript 5.1

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ##############################################################################
 #
-# Copyright (c) 2003-2016 by The University of Queensland
+# Copyright (c) 2003-2017 by The University of Queensland
 # http://www.uq.edu.au
 #
 # Primary Business: Queensland, Australia
@@ -54,6 +54,9 @@
 
 default_prefix='/usr'
 mpi_flavours=('no', 'none', 'MPT', 'MPICH', 'MPICH2', 'OPENMPI', 'INTELMPI')
+netcdf_flavours = ('no', 'off', 'none', 'False', # Must be last of the false alternatives
+                   'yes', 'on', 'True', '3', # Must be last of the version 3 alternatives
+                   '4')
 all_domains = ['dudley','finley','ripley','speckley']
 
 #Note that scons construction vars the the following purposes:
@@ -94,9 +97,9 @@
   ('mpi_libs', 'MPI shared libraries to link with', ['mpi']),
   BoolVariable('cuda', 'Enable GPU code with CUDA (requires thrust)', False),
   ('cuda_prefix', 'Prefix/Paths to NVidia CUDA installation', default_prefix),
-  BoolVariable('netcdf', 'Enable netCDF file support', False),
+  EnumVariable('netcdf', 'Enable netCDF file support', False, allowed_values=netcdf_flavours),
   ('netcdf_prefix', 'Prefix/Paths of netCDF installation', default_prefix),
-  ('netcdf_libs', 'netCDF libraries to link with', ['netcdf_c++', 'netcdf']),
+  ('netcdf_libs', 'netCDF libraries to link with', 'DEFAULT'),
   BoolVariable('parmetis', 'Enable ParMETIS (requires MPI)', False),
   ('parmetis_prefix', 'Prefix/Paths of ParMETIS installation', default_prefix),
   ('parmetis_libs', 'ParMETIS libraries to link with', ['parmetis', 'metis']),
@@ -152,7 +155,9 @@
   ('papi_prefix', 'Prefix/Paths to PAPI installation', default_prefix),
   ('papi_libs', 'PAPI libraries to link with', ['papi']),
   BoolVariable('papi_instrument_solver', 'Use PAPI to instrument each iteration of the solver', False),
-  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)', False)
+  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)', False),
+  BoolVariable('stdlocationisprefix', 'Set the prefix as escript root in the launcher', False),
+  BoolVariable('mpi_no_host', 'Do not specify --host in run-escript launcher (only OPENMPI)', False)
 )
 
 ##################### Create environment and help text #######################
@@ -176,6 +181,22 @@
         zz.insert(0, mkclang)
     env = Environment(tools = ['default'] + env['tools_names'], options = vars,
                       ENV = {'PATH' : os.environ['PATH']})
+
+# Covert env['netcdf'] into one of False, 3, 4
+# Also choose default values for libraries
+pos1=netcdf_flavours.index('False')
+pos2=netcdf_flavours.index('3')
+mypos=netcdf_flavours.index(env['netcdf'])
+if 0 <= mypos <=pos1:
+    env['netcdf']=0
+elif pos1 < mypos <= pos2:
+    env['netcdf']=3
+    if env['netcdf_libs']=='DEFAULT':
+        env['netcdf_libs']=['netcdf_c++', 'netcdf']
+else:   # netcdf4
+    env['netcdf']=4
+    if env['netcdf_libs']=='DEFAULT':
+        env['netcdf_libs']=['netcdf_c++4']
 
 if options_file:
     opts_valid=False
@@ -224,33 +245,3 @@
 env['libinstall'] = os.path.join(prefix, 'lib')
 env['pyinstall']  = os.path.join(prefix, 'esys')
 if not os.path.isdir(env['bininstall']):
-    os.makedirs(env['bininstall'])
-if not os.path.isdir(env['libinstall']):
-    os.makedirs(env['libinstall'])
-if not os.path.isdir(env['pyinstall']):
-    os.makedirs(env['pyinstall'])
-
-env.Append(CPPPATH = [env['incinstall']])
-env.Append(LIBPATH = [env['libinstall']])
-
-################# Fill in compiler options if not set above ##################
-
-if env['cxx'] != 'default':
-    env['CXX'] = env['cxx']
-
-# default compiler/linker options
-cc_flags = '-std=c++11'
-cc_optim = ''
-cc_debug = ''
-omp_flags = ''
-omp_ldflags = ''
-fatalwarning = '' # switch to turn warnings into errors
-sysheaderopt = '' # how to indicate that a header is a system header
-
-# env['CC'] might be a full path
-cc_name=os.path.basename(env['CXX'])
-
-if cc_name == 'icpc':
-    # Intel compiler
-    # #1478: class "std::auto_ptr<...>" was declared deprecated
-    # #1875: offsetof applied to non-POD types is nonstandard (in boost)
