=== debian/changelog ===
python-escript (5.1-5) unstable; urgency=medium

  * Team upload.
  * [8a6e107] Also ignore strict-overflow errors in s390x, albeit it happens
    only in ubuntu.
  * [9134bc2] Bump Standards-Version to 4.1.3, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 01 Jan 2018 18:57:58 +0100

python-escript (5.1-4) unstable; urgency=medium

  * Team upload.
  * [8beca24] Try to fix FTBFS in powerpc and ppc64 by applying the same
    patch used for ppc64el (disabling a warning).
  * [0ea59fd] Build depend only on the default python and python3
    versions.  Closes: #867583
  * [096248d] Bump Standards-Version to 4.1.2, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Dec 2017 13:46:30 +0100

python-escript (5.1-3) unstable; urgency=medium

  * Team upload.
  * [48d47f2] Fix FTBFS on powerpc. Disable one warning

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Dec 2017 12:03:41 +0100

python-escript (5.1-2) unstable; urgency=medium

  * Team upload.
  * [8a44bbe] Add missing space in the compiler flag. (Closes: #878496)
  * [39dc272] Remove unused patches

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Dec 2017 23:35:51 +0100

python-escript (5.1-1) unstable; urgency=medium

  * Team upload.

  [ Joel Fenwick ]
  * [dae92b3] Upstream 5.1 - with modified /debian. (Closes: #878496)
  * [fed2b67] Spelling errors found by lintian
  * [ff2a920] Use libjs-mathjax instead of external site
  * [419c8e9] Suppress spurious warning on 32bit builds

  [ Anton Gladky ]
  * [e66da0f] Add section-field to each binary
  * [5c83249] Add python3-sphinx to BD
  * [b1bdc76] Remove myself from uploaders
  * [034da16] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Dec 2017 20:48:12 +0100

python-escript (5.0-4) unstable; urgency=medium

  [ Joel Fenwick ]
  * [6f58a7e] Add sphinx-common to -doc dependencies. (Closes: #861023)

  [ Anton Gladky ]
  * [8713dfa] Replace latex-xcolor by texlive-latex-recommended. (Closes: #865245)
  * [7ebf074] Use compat level 10.
  * [70044aa] Set the highest level of hardening.

 -- Anton Gladky <gladk@debian.org>  Mon, 03 Jul 2017 22:02:53 +0200
