=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-escript
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Joel Fenwick <j.oelpublic@gmail.com>, Anton Gladky <gladk@debian.org>
+Uploaders: Joel Fenwick <j.oelpublic@gmail.com>
 Section: science
-Priority: extra
-Build-Depends: python-all-dev,
-               python3-all-dev,
+Priority: optional
+Build-Depends: python-dev,
+               python3-dev,
                python-numpy,
                python3-numpy,
                libboost-python-dev,
@@ -14,18 +14,20 @@
                scons,
                zip,
                python-sphinx,
+               python3-sphinx,
                doxygen,
                python-docutils,
                texlive,
                ghostscript,
                texlive-latex-extra,
-               latex-xcolor,
+               texlive-latex-recommended,
                lsb-release,
                libopenmpi-dev,
                openmpi-bin,
-               debhelper (>= 9),
+               debhelper (>= 10),
+               libjs-mathjax,
                dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-escript.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-escript.git
 Homepage: https://launchpad.net/escript-finley
@@ -34,6 +36,7 @@
 
 Package: python-escript
 Architecture: any
+Section: python
 Depends: ${python:Depends},
          python-numpy,
          ${shlibs:Depends},
@@ -64,6 +67,7 @@
 
 Package: python-escript-mpi
 Architecture: any
+Section: python
 Depends: ${python:Depends},
          openmpi-bin,
          python-numpy,
@@ -94,6 +98,7 @@
 
 Package: python3-escript
 Architecture: any
+Section: python
 Depends: ${python3:Depends},
          python3-numpy,
          ${shlibs:Depends},
@@ -124,6 +129,7 @@
 
 Package: python3-escript-mpi
 Architecture: any
+Section: python
 Depends: ${python3:Depends},
          python3-numpy,
          openmpi-bin,
@@ -155,8 +161,11 @@
 
 Package: python-escript-doc
 Architecture: all
+Section: doc
 Depends: doc-base,
          libjs-sphinxdoc,
+         libjs-mathjax,
+         sphinx-common,
          ${misc:Depends}
 Recommends: python-escript
 Description: Documentation for Escript/Finley
