=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 WORKM=$(CURDIR)/debian/stage2M
 WORK3=$(CURDIR)/debian/stage3
 WORK3M=$(CURDIR)/debian/stage3M
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 #thanks to the debian manual
 # export DEB_BUILD_OPTIONS="parallel=10"
